<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html ng-app="helloApp">
<head>
<title>Hello</title>
<link rel="stylesheet"
	href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
<script
	src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script
	src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
<script
	src="//ajax.googleapis.com/ajax/libs/angularjs/1.2.17/angular.min.js"></script>
	<script src="//code.angularjs.org/1.2.20/angular-route.js"></script>; 
<script src="controller.js"></script>
</head>
<!-- Controller name goes here -->
<body ng-controller="CompanyCtrl">

<form ng-submit="addRow()">
<table class="table table-bordered" style="    margin-bottom: 20px !important;    margin-left: 20% !important;    max-width: 100% !important;    width: 50% !important;">
  <tbody>
    <tr>
      <th>Company Name</th>
      <td><input type="text" ng-model="name"/></td>
    </tr>
    <tr>
      <th>Emp count</th>
      <td><input type="text" ng-model="employees"/></td>
    </tr>
    <tr>
      <th>Head office</th>
      <td><input type="text" ng-model="headoffice"/></td>
    </tr>
    <tr>
      <td colspan='2' style="text-align:center;"><input type="submit" value="Add"></td>
    </tr>
  </tbody>
</table>
</form>

<table class="table">
	<tr>
		<th>Name
		</th>
		<th>Employees
		</th>
		<th>Head Office
		</th>
		<th>Action
		</th>
	</tr>
	<tr ng-repeat="company in companies">
		<td>{{company.id}}
		</td>
		<td>{{company.email}}
		</td>
		<td>{{company.username}}
		</td>
		<td>
		<input type="button" value="Remove" class="btn btn-primary" ng-click="removeRow(company.name)"/>
		<input type="button" value="Edit" class="btn btn-primary" ng-click="editRow(company.name)"/>
		</td>
	</tr>
</table>
</body>
</html>
